<html>
<head>
<title>OGRE: Ogre::VertexBoneAssignment_s Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1VertexBoneAssignment__s.html">VertexBoneAssignment_s</a></div>
<h1>Ogre::VertexBoneAssignment_s Struct Reference</h1><!-- doxytag: class="Ogre::VertexBoneAssignment_s" -->Records the assignment of a single vertex to a single bone with the corresponding weight.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1VertexBoneAssignment__s-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#59e56296bfd4d5517185adf6137cdf21">vertexIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#4e5ac0d856092d2b6bd0331272850969">boneIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#35dc9c8d2f2f76a1fda672f0de7f1c89">weight</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Records the assignment of a single vertex to a single bone with the corresponding weight. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed. </dd></dl>

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h-source.html#l00045">45</a> of file <a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="59e56296bfd4d5517185adf6137cdf21"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::vertexIndex" ref="59e56296bfd4d5517185adf6137cdf21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#59e56296bfd4d5517185adf6137cdf21">Ogre::VertexBoneAssignment_s::vertexIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h-source.html#l00047">47</a> of file <a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e5ac0d856092d2b6bd0331272850969"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::boneIndex" ref="4e5ac0d856092d2b6bd0331272850969" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#4e5ac0d856092d2b6bd0331272850969">Ogre::VertexBoneAssignment_s::boneIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h-source.html#l00048">48</a> of file <a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="35dc9c8d2f2f76a1fda672f0de7f1c89"></a><!-- doxytag: member="Ogre::VertexBoneAssignment_s::weight" ref="35dc9c8d2f2f76a1fda672f0de7f1c89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VertexBoneAssignment__s.html#35dc9c8d2f2f76a1fda672f0de7f1c89">Ogre::VertexBoneAssignment_s::weight</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexBoneAssignment_8h-source.html#l00049">49</a> of file <a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreVertexBoneAssignment_8h-source.html">OgreVertexBoneAssignment.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:08 2008
</p>
</body>
</html>
